Get Release Bundle v2 Versions

Returns a list of versions for a specified Release Bundle v2. Records are provided regardless of status, including failed attempts at creation. You can filter the results based on version, creator, tags, status, and where they have been promoted.

Path Params
string
required

Release bundle name

Query Params
string

The project key used to determine the Release Bundles repository. By convention, each project may contain only one Release Bundles system repository with the name -release-bundles-v2. This query parameter may be used instead of repository_key.

string

The Release Bundles repository identifier that identifies where a Release Bundle version resides. If this parameter and the project query parameter are not specified, the default value of release-bundles-v2 is assumed.

string

Adds details to the response. Supports 'messages' (returns any error messages generated when creating the Release Bundle version) and 'permissions' (returns user permissions for these versions). Multiple values can be comma-separated.

string

Defines a filter for the list of Release Bundle versions. You can filter according to release_bundle_version and created_by. This parameter has been replaced with new filters (release_bundle_version, created_by, release_status, tag) and will be deprecated in a future version.

release_bundle_version
array of strings

Filters by the Release Bundle version. Supports a trailing wildcard (*) for prefix searching and multiple comma-separated values.

release_bundle_version
string

Filters by the user who created the Release Bundle.

string
enum
Defaults to created

Defines the sort criterion for the Release Bundle versions. Options 'created' (sorts by creation timestamp), 'created_by' (sorts by creator name), 'release_bundle_name' (sorts by name), 'release_bundle_version' (sorts lexicographically), 'release_bundle_semver' (sorts using SemVer rules; versions that do not conform to SemVer are added to the end sorted lexicographically). Note The release_bundle_semver option pulls the latest 1000 records only and does not support pagination. When this option is selected, the offset must be set to 0, and the maximum limit is 1000.

Allowed:
boolean
Defaults to false

Defines the sort order. true for ascending order, false for descending order. The default value is false.

integer
≥ 0
Defaults to 0

Sets the number of records to skip for pagination.

integer
1 to 255
Defaults to 25

Sets the maximum number of versions to return at one time. Used for pagination purposes. The default value is 25. The maximum value is 255.

string

Filters by the assigned Release Bundle tag. Supports a trailing wildcard (*) and multiple comma-separated values.

string
enum

Filters by the release status of the Release Bundle. Supports multiple comma-separated values. Possible values are 'pre_release' and 'released'.

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
Response
Choose an example:
application/json